dsm_loader(1)

NAME
dsm_loader - Loads DSM filters and expressions into a DSM equipped DAG card

SYNOPSIS
dsm_loader [options]

DESCRIPTION
dsm_loader is a program used to load a set of filters and expressions into a DAG card that supports the Data Stream Manager (DSM). The filters and expressions should be contained with a correctly formated XML file that must be supplied to dsm_loader using the -f option.

dsm_loader can also be used to just validate the XML configuration file without updating the DAG card, by using the -y option. The raw configuration parsed from the XML file can be stored in a text file for later review, using the -o option.

OPTIONS

-b

--bypass
    Enables bypass mode which disables DSM. If not specified, bypass mode is disabled automatically.

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE 0, dag1, and /dev/dag3 to refer to DAG cards. This option defaults to /dev/dag0 if not specified.

-f FILE
    Use FILE as the configuration file. This option is mandatory.

-h

-?

--help

--usage
    Display usage (help) information.

-o FILE
    Output file to save the raw filter and lookup table configuration in. This file will be updated by dsm_loader if the input file was successifully parsed.

-s SECONDS
    Displays DSM statistics on stdout , with an interval of SECONDS.

-y  If specified the configuration is not downloaded to the card. By default the configuration is always downloaded to the DAG card specified by the -d option.

-v

-vv

--verbose
    Increase verbosity of dsm_loader. This option increase the amount of data displayed when parsing and optionally downloading the configuration to the card.

-V

--version
    Display version information.

EXAMPLES
Parse the configuration file called config.xml, don't download it to the card and dump the raw configuration to a file called config.out:
    dsm_loader -d dag0 -y -f config.xml -o config.out

To download the configuration from the .BR config.xml " into the card:
    dsm_loader -d dag0 -f config.xml

 ...and to download and display DSM statistics every 2 seconds:
    dsm_loader -d dag0 -f config.xml -s2

SEE ALSO
dagsnap(1)

BUGS

Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13730 $
$Date: 2011-01-14 17:11:45 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2005-2006 Endace Technology, Hamilton, New Zealand. All Rights Reserved.